## dolphin 17.04.3

=== debian/changelog ===
dolphin (4:17.04.3-0ubuntu2) artful; urgency=medium

  * mtpfs has been removed upstream, using go-mtpfs instead

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 19 Aug 2017 16:47:41 +0100

dolphin (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * Add upstream_fix_kfileitemmodel_test.diff
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:30 +0100

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.31.0~),
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:17.04.3~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin

Package: dolphin
Section: utils
Architecture: any
Depends: libkf5baloowidgets-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: ffmpegthumbs, kdegraphics-thumbnailers, libkonq-common, ruby
Suggests: dolphin-plugins, go-mtpfs
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

## dolphin 17.08.3

=== debian/changelog ===
dolphin (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add recommends for kimageformat-plugins (Closes: 875259)
    Thanks to Ignacio R. Morelle for reporting.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch dolphin-dev as Multi-Arch: same.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:50:35 +0100

dolphin (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Move libdolphinvcs5 to section libs, as it contains a shared library.
  * Fix typo in an old changelog entry.
  * Drop not-installed file, no more needed.
  * Switch kio-dev dependency to libkf5kio-dev in libdolphinvcs-dev.
  * Drop unused ${shlibs:Depends} substvar from dolphin-dev, and
    libdolphinvcs-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 10:26:06 +0100

dolphin (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:48 +0200

dolphin (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:11 +0000

dolphin (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:25 +0000

dolphin (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:52 +0000

dolphin (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:09:21 +0000

dolphin (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:30 +0000

dolphin (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:12 +0000

dolphin (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:06 +0000

dolphin (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:46 +0000

dolphin (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:10 +0000

dolphin (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:43 +0000

dolphin (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:47 +0000

dolphin (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:55 +0000

dolphin (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:05 +0000

dolphin (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:35 +0000

dolphin (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:46:02 +0000

dolphin (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:10 +0000

dolphin (4:16.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 May 2016 14:26:42 +0000

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 4.97~) [!hurd-any],
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0~),
               kinit-dev (>= 5.30.0~),
               libkf5activities-dev (>= 5.30.0~),
               libkf5baloowidgets-dev (>= 4:4.97~) [!hurd-any],
               libkf5bookmarks-dev (>= 5.30.0~),
               libkf5completion-dev (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5filemetadata-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5iconthemes-dev (>= 5.30.0~),
               libkf5kcmutils-dev (>= 5.30.0~),
               libkf5kdelibs4support-dev (>= 5.30.0~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5newstuff-dev (>= 5.30.0~),
               libkf5notifications-dev (>= 5.30.0~),
               libkf5parts-dev (>= 5.30.0~),
               libkf5solid-dev (>= 5.30.0~),
               libkf5texteditor-dev (>= 5.7.0~),
               libkf5textwidgets-dev (>= 5.30.0~),
               libkf5windowsystem-dev (>= 5.21.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/dolphin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/dolphin.git

Package: dolphin
Section: utils
Architecture: any
Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kimageformat-plugins, kio-extras, ruby
Suggests: dolphin-plugins
Breaks: dolphin-plugins (<< 4:17.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5kio-dev (>= 5.21.0~),
         libdolphinvcs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900), dolphin-plugins (<< 4:17.08)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

## dolphin 17.12.3

=== po/CMakeLists.txt ===
ki18n_install_ts_files(fi fi/scripts/dolphin)

=== src/CMakeLists.txt ===
include(ECMAddAppIcon)

configure_file(config-baloo.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-baloo.h)

configure_file(config-dolphin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dolphin.h)

add_definitions(
    -DTRANSLATION_DOMAIN=\"dolphin\"
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
)
remove_definitions(
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
)

##########################################

set(dolphinvcs_LIB_SRCS
    views/versioncontrol/kversioncontrolplugin.cpp
)

add_library(dolphinvcs ${dolphinvcs_LIB_SRCS})
generate_export_header(dolphinvcs BASE_NAME dolphinvcs)

target_link_libraries(
    dolphinvcs PUBLIC
    Qt5::Widgets
)

set_target_properties(dolphinvcs PROPERTIES
    VERSION ${DOLPHINVCS_VERSION_STRING}
    SOVERSION ${DOLPHINVCS_SOVERSION}
    EXPORT_NAME DolphinVcs
)

ecm_generate_headers(dolphinvcs_LIB_HEADERS
    HEADER_NAMES
    KVersionControlPlugin

    RELATIVE "views/versioncontrol"
    REQUIRED_HEADERS dolphinvcs_LIB_HEADERS
)

install(TARGETS dolphinvcs EXPORT DolphinVcsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES ${dolphinvcs_LIB_HEADERS} DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin" COMPONENT Devel)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewaccessible.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditem.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/kstandarditemmodel.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodeldirlister.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/dolphinfilemetadatawidget.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    middleclickactioneventfilter.cpp
    dolphinnewfilemenu.cpp
    dolphindebug.cpp
)

if(HAVE_BALOO)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        kitemviews/private/kbaloorolesprovider.cpp
    )
endif()

kconfig_add_kcfg_files(dolphinprivate_LIB_SRCS GENERATE_MOC
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

add_library(dolphinprivate ${dolphinprivate_LIB_SRCS})
generate_export_header(dolphinprivate BASE_NAME dolphin)

target_link_libraries(
    dolphinprivate PUBLIC
    dolphinvcs
    Qt5::Gui
    KF5::Crash
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::Completion
    KF5::TextWidgets
    KF5::ConfigCore
    KF5::NewStuff
    KF5::Parts
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate PUBLIC
        KF5::FileMetaData
        KF5::Baloo
        KF5::BalooWidgets
    )
else()
    target_link_libraries(
        dolphinprivate PUBLIC
        KF5::KDELibs4Support # for KFileMetaDataWidget
    )
endif()

set_target_properties(dolphinprivate PROPERTIES
    VERSION ${DOLPHINPRIVATE_VERSION_STRING}
    SOVERSION ${DOLPHINPRIVATE_SOVERSION}
)

install(TARGETS dolphinprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphin_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
   dolphinpart_ext.cpp
   dolphindebug.cpp
)

qt5_add_resources(dolphinpart_SRCS dolphinpart.qrc)

add_library(dolphinpart MODULE ${dolphinpart_SRCS})

target_link_libraries(dolphinpart
    dolphinprivate
)

install(TARGETS dolphinpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES dolphinpart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

##########################################

set(dolphinstatic_SRCS
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphintabbar.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    dolphintabwidget.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/places/placesitem.cpp
    panels/places/placesitemeditdialog.cpp
    panels/places/placesitemlistgroupheader.cpp
    panels/places/placesitemlistwidget.cpp
    panels/places/placesitemmodel.cpp
    panels/places/placesitemsignalhandler.cpp
    panels/places/placesview.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinsearchbox.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
    dolphindebug.cpp
    global.cpp
)

kconfig_add_kcfg_files(dolphinstatic_SRCS GENERATE_MOC
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    panels/places/dolphin_placespanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(NOT WIN32)
   set(dolphinstatic_SRCS ${dolphinstatic_SRCS} panels/terminal/terminalpanel.cpp)
endif()

qt5_add_resources(dolphinstatic_SRCS dolphin.qrc)

add_library(dolphinstatic STATIC ${dolphinstatic_SRCS})

target_include_directories(dolphinstatic PRIVATE ${PHONON_INCLUDES})
target_link_libraries(dolphinstatic
    dolphinprivate
    KF5::KCMUtils
    KF5::DBusAddons
    KF5::Notifications
    Phonon::phonon4qt5
)

if (KF5Activities_FOUND)
    target_link_libraries(
        dolphinstatic
        KF5::Activities
    )
endif()

set(dolphin_SRCS
    dbusinterface.cpp
    main.cpp
)

# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*system-file-manager.png")
ecm_add_app_icon(dolphin_SRCS ICONS ${ICONS_SRCS})

kf5_add_kdeinit_executable(dolphin ${dolphin_SRCS})


target_link_libraries(kdeinit_dolphin
    dolphinstatic
    dolphinprivate
)

include(DbusInterfaceMacros)

generate_and_install_dbus_interface(
    kdeinit_dolphin
    dbusinterface.h
    org.freedesktop.FileManager1.xml
    OPTIONS -a
)

install(TARGETS kdeinit_dolphin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kconfig_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kconfig_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kconfig_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kconfig_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

add_library(kcm_dolphinviewmodes MODULE ${kcm_dolphinviewmodes_PART_SRCS})
add_library(kcm_dolphinnavigation MODULE ${kcm_dolphinnavigation_PART_SRCS})
add_library(kcm_dolphinservices MODULE ${kcm_dolphinservices_PART_SRCS})
add_library(kcm_dolphingeneral MODULE ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes dolphinprivate)
target_link_libraries(kcm_dolphinnavigation dolphinprivate)
target_link_libraries(kcm_dolphinservices dolphinprivate)

=== src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt5Test CONFIG REQUIRED)
include(ECMAddTests)

# KItemSetTest
ecm_add_test(kitemsettest.cpp LINK_LIBRARIES dolphinprivate Qt5::Test)

# KItemRangeTest
ecm_add_test(kitemrangetest.cpp LINK_LIBRARIES dolphinprivate Qt5::Test)


# KItemListSelectionManagerTest
ecm_add_test(kitemlistselectionmanagertest.cpp LINK_LIBRARIES dolphinprivate Qt5::Test)

# KItemListControllerTest
ecm_add_test(kitemlistcontrollertest.cpp testdir.cpp
TEST_NAME kitemlistcontrollertest
LINK_LIBRARIES dolphinprivate Qt5::Test)

# KFileItemListViewTest
ecm_add_test(kfileitemlistviewtest.cpp testdir.cpp
TEST_NAME kfileitemlistviewtest
LINK_LIBRARIES dolphinprivate Qt5::Test)

# KFileItemModelTest
ecm_add_test(kfileitemmodeltest.cpp testdir.cpp
TEST_NAME kfileitemmodeltest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt5::Test)

# KFileItemModelBenchmark
ecm_add_test(kfileitemmodelbenchmark.cpp testdir.cpp
TEST_NAME kfileitemmodelbenchmark
LINK_LIBRARIES  dolphinprivate Qt5::Test)

# KItemListKeyboardSearchManagerTest
ecm_add_test(kitemlistkeyboardsearchmanagertest.cpp LINK_LIBRARIES dolphinprivate Qt5::Test)

# DolphinSearchBox
if (KF5Baloo_FOUND)
  ecm_add_test(dolphinsearchboxtest.cpp
  TEST_NAME dolphinsearchboxtest
  LINK_LIBRARIES dolphinprivate dolphinstatic Qt5::Test)
endif()

# KStandardItemModelTest
ecm_add_test(kstandarditemmodeltest.cpp
TEST_NAME kstandarditemmodeltest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt5::Test)

# ViewPropertiesTest
ecm_add_test(viewpropertiestest.cpp testdir.cpp
TEST_NAME viewpropertiestest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt5::Test)

# DolphinMainWindowTest
ecm_add_test(dolphinmainwindowtest.cpp
TEST_NAME dolphinmainwindowtest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt5::Test)

ecm_add_test(draganddrophelpertest.cpp LINK_LIBRARIES dolphinprivate Qt5::Test)

=== debian/changelog ===
dolphin (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)
  * debian/patches: upstream_fix-standard-shortcuts.patch 

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:45 +0000

dolphin (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:50 +0000

dolphin (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Drop upstream applied patch; upstream_fix_kfileitemmodel_test.diff

  [ Rik Mills ]
  * Update install files - no kxmlgui5 path, as now bundled into qrc resources
  * Add Section:libs to libdolphinvcs5 as prompted by lintian
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:14 +0000

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.31.0~),
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:17.12.3~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin

Package: dolphin
Section: utils
Architecture: any
Depends: libkf5baloowidgets-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: ffmpegthumbs, kdegraphics-thumbnailers, libkonq-common, ruby
Suggests: dolphin-plugins, go-mtpfs
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='dolphin-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable unittest at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/dolphin-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/dolphin-([\d.]+).tar.xz

## dolphin 18.04.0

=== debian/changelog ===
dolphin (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies:
    - bump the Qt packages to >= 5.8.0~
    - bump almost all the Frameworks packages to >= 5.43.0~
    - remove libkf5texteditor-dev, as it is not used
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 10:38:27 +0200

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 4.97~) [!hurd-any],
               cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.43.0~),
               kinit-dev (>= 5.43.0~),
               libkf5activities-dev (>= 5.43.0~),
               libkf5baloowidgets-dev (>= 4:4.97~) [!hurd-any],
               libkf5bookmarks-dev (>= 5.43.0~),
               libkf5completion-dev (>= 5.43.0~),
               libkf5config-dev (>= 5.43.0~),
               libkf5coreaddons-dev (>= 5.43.0~),
               libkf5crash-dev (>= 5.43.0~),
               libkf5dbusaddons-dev (>= 5.43.0~),
               libkf5doctools-dev (>= 5.43.0~),
               libkf5filemetadata-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.43.0~),
               libkf5iconthemes-dev (>= 5.43.0~),
               libkf5kcmutils-dev (>= 5.43.0~),
               libkf5kdelibs4support-dev (>= 5.43.0~),
               libkf5kio-dev (>= 5.43.0~),
               libkf5newstuff-dev (>= 5.43.0~),
               libkf5notifications-dev (>= 5.43.0~),
               libkf5parts-dev (>= 5.43.0~),
               libkf5solid-dev (>= 5.43.0~),
               libkf5textwidgets-dev (>= 5.43.0~),
               libkf5windowsystem-dev (>= 5.21.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git

Package: dolphin
Section: utils
Architecture: any
Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kimageformat-plugins, kio-extras, ruby
Suggests: dolphin-plugins
Breaks: dolphin-plugins (<< 4:17.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5kio-dev (>= 5.21.0~),
         libdolphinvcs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900), dolphin-plugins (<< 4:17.08)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

## dolphin 18.04.3

=== debian/changelog ===
dolphin (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Add PlacesItemModelTest to kubuntu_disable-failing-tests.patch. This
    test expects values to be returned which are currently hard coded in
    the test, but these can vary depending on the version of Frameworks.
    The test needs to be fixed upstream to be adaptive to this.
    See: https://phabricator.kde.org/D12464

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 Aug 2018 16:12:10 +0100

dolphin (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied fix-standard-shortcuts.patch
  * Refresh kubuntu_disable-failing-tests.patch
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:42 +0100

dolphin (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * Drop obsolete KDE4 recommends on libkonq-common

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 06 Jul 2018 08:41:30 +0100

dolphin (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Disable test broken on upstream KDE CI

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 15 Jun 2018 09:51:47 +0100

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.31.0~),
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5activities-dev (>= 5.31.0~),
               libkf5baloowidgets-dev (>= 4:18.04.3~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin

Package: dolphin
Section: utils
Architecture: any
Depends: libkf5baloowidgets-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: ffmpegthumbs, kdegraphics-thumbnailers, ruby
Suggests: dolphin-plugins, go-mtpfs
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

Package: libdolphinvcs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.07.90+git20150819.0900)
Replaces: dolphin (<< 4:15.07.90+git20150819.0900)
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.
